cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Vadim Gritsenko <va...@reverycodes.com>
Subject Re: Java 1.5
Date Wed, 26 Sep 2007 23:45:03 GMT
Daniel Fagerstrom wrote:
> The current plan is that Spring-OSGi will be released in december, so we 
>   should most definitively not let Cocoon 2.2 wait for it. Right now, 
> I'm the only one working on Cocoon-OSGi so it must be more of a 
> community effort before we include it in any release.
> 
> OSGi does not work woth "split packages", i.e. that some of the classes 
> of a package is defined in one bundle and others in another bundle. So 
> some reorganization of package structure in Cocoon is needed. This 
> probably means that Cocoon-OSGi would need to be in 2.3 or maybe 3.0 for 
> the core blocks.

Cocoon 2.2 now, and Cocoon 2.3 in Jan/Feb - sounds good to me.

Let's start a thread on minimum Java requirement for Cocoon 2.3 now, so that we 
have a vote result by January :-P

Vadim

Mime
View raw message